/* crttabls.sql  */
/* Created by Laurence D. Finston (LDF) Undated.  */

/*

$Id: crttabls.sql,v 1.8 2006/12/05 09:20:24 ldf Exp $

* (1) Copyright and License.

This file is part of the IWF Metadata Harvester, a package for metadata harvesting.  
Copyright (C) 2006, 2007 IWF Wissen und Medien gGmbH

The author is Laurence D. Finston.                                                   

The IWF Metadata Harvester is free software; you can redistribute it and/or modify   
it under the terms of the GNU General Public License as published by                 
the Free Software Foundation; either version 2 of the License, or                    
(at your option) any later version.                                                  

The IWF Metadata Harvester is distributed in the hope that it will be useful,        
but WITHOUT ANY WARRANTY; without even the implied warranty of                       
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                             
GNU General Public License for more details.                                         

You should have received a copy of the GNU General Public License                    
along with the IWF Metadata Harvester; if not, write to the Free Software            
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA                   

The IWF Metadata Harvester is available for downloading from the                     
following FTP server:                                                                
ftp://ftp.gwdg.de/pub/gnu2/iwfmdh/

Please send bug reports to lfinsto1@gwdg.de                                         

The author can be contacted at:                                                      

Laurence D. Finston 
Kreuzbergring 41    
D-37075 Goettingen  
Germany             

lfinsto1@gwdg.de 
s246794@stud.uni-goettingen.de                        
*/

use Lectures_Online
go
alter
--create 
proc create_tables
as


/* ** (2) */

-- drop table Ressourcen
create table Ressourcen
(
Ressourcen_Id int identity not null,
Kennung varchar(512) not null default 'N/A',
constraint PK_Ressourcen primary key (Ressourcen_Id)
)


/* ** (2) */

/*
LOG
LDF 2006.11.28.
Added |Serientitel| column.

END LOG
*/

-- drop table Titel

create table Titel
(
Titel_Id int identity not null,
Titel_Titel varchar(1024) not null default 'N/A',
Serientitel varchar(1024) not null default 'N/A',
constraint PK_Titel primary key (Titel_Id)
)

/* *** (3) Ressourcen_Titel  */

/* 
LOG
LDF 2006.11.27.
Added this table.

END LOG
*/

create table Ressourcen_Titel
(
   Ressourcen_Id int,
   Titel_Id int
)


/* ** (2) */

-- drop table Verfasser


create table Verfasser
(
Verfasser_Id int identity not null,
Verfasser_Verfasser varchar(1024) not null default 'N/A',
constraint PK_Verfasser primary key (Verfasser_Id)
)

/* *** (3) Ressourcen_Verfasser  */

/* 
LOG
LDF 2006.11.27.
Added this table.

END LOG
*/

create table Ressourcen_Verfasser
(
   Ressourcen_Id int,
   Verfasser_Id int
)


/* ** (2) Verlage  */

-- drop table Verlage

create table Verlage
(
Verlag_Id int identity not null,
Verlag varchar(1024) not null default 'N/A',
constraint PK_Verlage primary key (Verlag_id)
)

/* *** (3) Ressourcen_Verlage  */

/* 
LOG
LDF 2006.11.27.
Added this table.

END LOG
*/

create table Ressourcen_Verlage
(
   Ressourcen_Id int,
   Verlag_Id int
)

/* ** (2) Korporative_Herausgeber  */

-- drop table Korporative_Herausgeber

create table Korporative_Herausgeber
(
Korporativer_Herausgeber_Id int identity not null,
Korporativer_Herausgeber varchar(1024) not null default 'N/A',
constraint PK_Korporative_Herausgeber primary key (Korporativer_Herausgeber_Id)
)

/* *** (3) Ressourcen_Korporative_Herausgeber  */

/* 
LOG
LDF 2006.11.27.
Added this table.

END LOG
*/

create table Ressourcen_Korporative_Herausgeber
(
   Ressourcen_Id int,
   Korporativer_Herausgeber_Id int
)

/* ** (2) Semester  */

-- drop table Semester

create table Semester
(
Semester_Id int identity not null,
Semester_Semester varchar(1024) not null default 'N/A',
constraint PK_Semester primary key (Semester_Id)
)

/* *** (3) Ressourcen_Semester  */

/* 
LOG
LDF 2006.11.27.
Added this table.

END LOG
*/

create table Ressourcen_Semester
(
   Ressourcen_Id int,
   Semester_Id int
)

/* ** (2) Erscheinungsorte  */

-- drop table Erscheinungsorte

create table Erscheinungsorte
(
Erscheinungsort_Id int identity not null,
Erscheinungsort varchar(1024) not null default 'N/A',
constraint PK_Erscheinungsorte primary key (Erscheinungsort_id)
)

/* *** (3) Ressourcen_Erscheinungsorte  */

/* 
LOG
LDF 2006.11.27.
Added this table.

END LOG
*/

create table Ressourcen_Erscheinungsorte
(
   Ressourcen_Id int,
   Erscheinungsort_Id int
)


/* ** (2) Erscheinungsjahre  */

-- drop table Erscheinungsjahre

create table Erscheinungsjahre
(
Erscheinungsjahr_Id int identity not null,
Erscheinungsjahr int null,
constraint PK_Erscheinungsjahre primary key (Erscheinungsjahr_id)
)

/* *** (3) Ressourcen_Erscheinungsjahre  */

/* 
LOG
LDF 2006.11.27.
Added this table.

END LOG
*/

create table Ressourcen_Erscheinungsjahre
(
   Ressourcen_Id int,
   Erscheinungsjahr_Id int

)

/* ** (2) Standorte (Fundstellen) */

-- drop table Standorte

create table Standorte
(
Standort_id int identity not null,
Standort varchar(1024) not null default 'N/A',
constraint PK_Standorte primary key (Standort_id)
)


/* *** (3) Ressourcen_Standorte  */

/* 
LOG
LDF 2006.11.27.
Added this table.

END LOG
*/

create table Ressourcen_Standorte
(
   Ressourcen_Id int,
   Standort_Id int
)

/* ** (2) DDC_Klassifikationen  */

-- drop table DDC_Klassifikationen

create table DDC_Klassifikationen
(
DDC_Klassifikation_id int identity not null,
DDC_Klassifikation varchar(1024) not null default 'N/A',
constraint PK_DDC_Klassifikationen primary key (DDC_Klassifikation_id)
)

/* *** (3) Ressourcen_DDC_Klassifikationen  */

/* 
LOG
LDF 2006.11.27.
Added this table.

END LOG
*/

create table Ressourcen_DDC_Klassifikationen
(
   Ressourcen_Id int,
   DDC_Klassifikation_Id int
)

/* ** (2) Schlagwoerter  */

-- drop table Schlagwoerter

create table Schlagwoerter
(
Schlagwort_Id int identity not null,
Schlagwort varchar(1024) not null default 'N/A',
constraint PK_Schlagwoerter primary key (Schlagwort_Id)
)

/* *** (3) Ressourcen_Schlagwoerter  */

/* 
LOG
LDF 2006.11.27.
Added this table.

END LOG
*/

create table Ressourcen_Schlagwoerter
(
   Ressourcen_Id int,
   Schlagwort_Id int
)


go





